import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class ServletOpinion extends HttpServlet {
     
  // Declaracin de variables miembro correspondientes a los campos del formulario
  private String nombre=null;
  private String apellidos=null;
  private String opinion=null;
  private String comentarios=null;
  
  // Este mtodo se ejecuta una nica vez (al ser inicializado el servlet)
  // Se suelen inicializar variables y realizar operaciones costosas en 
  // tiempo de ejecucin (abrir ficheros, bases de datos, etc) 
  public void init(ServletConfig config) throws ServletException {
    // Llamada al mtodo init() de la superclase (GenericServlet)
    // As se asegura una correcta inicializacin del servlet
    super.init(config);
    System.out.println("Iniciando ServletOpinion...");
  } // fin del mtodo init()
        
  // Este mtodo es llamado por el servidor web al "apagarse" (al hacer shutdown). 
  // Sirve para proporcionar una correcta desconexin de una base de datos, cerrar ficheros abiertos, etc.
  public void destroy() {
    System.out.println("No hay nada que hacer...");
  } // fin del mtodo destroy()
          
  // Mtodo llamado mediante un HTTP POST. Este mtodo se llama automticamente al ejecutar un formulario HTML
  public void doPost (HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
    // Adquisicin de los valores del formulario a travs del objeto req
    nombre = req.getParameter("nombre");
    apellidos = req.getParameter("apellidos");
    opinion = req.getParameter("opinion");
    comentarios = req.getParameter("comentarios");
                 
    // Devolver al usuario una pgina HTML con los valores adquiridos
    devolverPaginaHTML(resp);
  } // fin del mtodo doPost()
    
  public void devolverPaginaHTML(HttpServletResponse resp) {
    // Se establece el tipo de contenido MIME de la respuesta
    resp.setContentType("text/html");

    // Se obtiene un PrintWriter donde escribir (slo para mandar texto)
    PrintWriter out = null;
    try {
      out=resp.getWriter();
    } catch (IOException io) {
      System.out.println("Se ha producido una excepcion");    
    }
        
    // Se genera el contenido de la pgina HTML
    out.println("<HTML>");
    out.println("<HEAD>");
    out.println("<TITLE>Valores recogidos en el formulario</TITLE>");
    out.println("</HEAD>");
    out.println("<BODY>");
    out.println("<B><FONT size=+2>Valores recogidos del formulario: </FONT></B>");
    out.println("<P><FONT size=+1><B>Nombre: </B>" + nombre + "</FONT>");
    out.println("<BR><FONT size=+1><B>Apellido: </B>" + apellidos + "</FONT>");
    out.println("<P><FONT size=+1> <B>Opini&oacute;n: </B><I>" + opinion + "</I></FONT>");
    out.println("<BR><FONT size=+1><B>Comentarios: </B>" + comentarios + "</FONT>");
    out.println("</BODY>");
    out.println("</HTML>");

    // Se fuerza la descarga del buffer y se cierra el PrintWriter, liberando recursos de esta forma. IMPORTANTE
    out.flush();
    out.close();
  } // fin de devolverPaginaHTML()
     
  // Funcin que permite al servidor web obtener una descripcin del servlet:
  // Qu cometido tiene, nombre del autor, comentarios adicionales, etc.
  public String getServletInfo() {
    return "Este servlet lee los datos de un formulario y los muestra en pantalla";
  } // fin del mtodo getServletInfo()
}
